Skip to navigation

Convert a referral to draft

Path parameters

referralIdstringRequiredformat: "uuid"
Referral ID

Request

This endpoint expects an object.
institutionIdTypeenumRequired
The type of institution ID
Allowed values:
institutionIdstringRequired
The institution ID

Response

idstring
senderobject
senderSystemenum
offeringobject
patientobject
referringDoctorobject
isSubsidisedboolean
isUrgentboolean
createdAtstring

Created at (ISO datetime)

updatedAtstring

Updated at (ISO datetime)

formResponseslist of objects
attachmentslist of objects
coreStatusenum
isCancellableboolean
Whether this referral can be cancelled
canBackToDraftboolean

Whether this referral can be sent back to draft (to be amended and resubmitted)

noteslist of objects
statusenumDeprecated
Deprecated. Use coreStatus instead.
submittedAtstringOptional

Submitted at (ISO datetime). Absent if the referral is a draft.

formslist of objectsOptional
List of forms required to complete the referral
urlstringOptional
URL to view the referral
clinicLicenseNumberstringOptional
Clinic license number
clinicTypeenumOptional
Clinic type
Allowed values:
clinicalInfostringOptional
Any clinical information that is relevant to the referral, e.g. medical history, drug allergies, treatment provided, etc.
timeslotStartAtstringOptional

Timeslot start time (ISO datetime)

appointmentLocationstringOptional
Appointment location

Errors

401
Unauthorized Error